# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::ScopeChain Class Reference

A scope chain object. More...

`#include <scope_chain.h>`

Collaboration diagram for KJS::ScopeChain:

[legend]
List of all members.

## Public Member Functions

| ScopeChain (const ScopeChain &c)
ScopeChain & | operator= (const ScopeChain &)
bool | isEmpty () const
ObjectImp * | top () const
ObjectImp * | bottom () const
void | clear ()
void | push (ObjectImp *)
void | pop ()
void | mark ()

## Detailed Description

A scope chain object.

Definition at line 47 of file scope_chain.h.

The documentation for this class was generated from the following files:

- scope_chain.h
- scope_chain.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003